petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSortReal

Sorts an array of doubles in place in increasing order.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortReal(PetscInt n,PetscReal v[])

Not Collective

### Input Parameters

| n | - number of values
| v | - array of doubles

### See Also

PetscSortInt(), PetscSortRealWithPermutation(), PetscSortRealWithArrayInt()

### Level

intermediate

### Location

src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages